Package opennlp.tools.parser.lang.es

## Class AncoraSpanishHeadRules.HeadRulesSerializer

- java.lang.Object
- - opennlp.tools.parser.lang.es.AncoraSpanishHeadRules.HeadRulesSerializer

- All Implemented Interfaces:
    `ArtifactSerializer<AncoraSpanishHeadRules>`
  Enclosing class:
    AncoraSpanishHeadRules

      public static class AncoraSpanishHeadRules.HeadRulesSerializer
      extends Object
      implements ArtifactSerializer<AncoraSpanishHeadRules>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeadRulesSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AncoraSpanishHeadRules` | `create​(InputStream in)` | Creates the artifact from the provided `InputStream`.
    `void` | `serialize​(AncoraSpanishHeadRules artifact, OutputStream out)` | Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeadRulesSerializer

          public HeadRulesSerializer()

  - ### Method Detail

    - #### create

          public AncoraSpanishHeadRules create​(InputStream in)
                                        throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<AncoraSpanishHeadRules>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize​(AncoraSpanishHeadRules artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<AncoraSpanishHeadRules>`
      Throws:
        `IOException`